Skip to content

List all assignments for a collection

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Lists all assignments for a collection

Assignments for a collection are sorted by last assigned principals first.

Path
collectionIdstringrequired

Unique identifier for the collection

Query
filterstring, (scim-filter)(scim-filter)

A filter expression that filters principals based on principal or principalProfile properties. The sw operator is supported for these properties.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Search for principal assignment with specific properties
filter=principal.externalId eq "00ub0oNGTSWTBKOLGLNR" AND principal.type eq "OKTA_USER"
Search for assigned principals with a name that begins with "John"
filter=principalProfile.name sw "John"
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
GET
/governance/api/v2/collections/{collectionId}/assignments
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/collections/{collectionId}/assignments?filter=principal.externalId%20eq%20%2200ub0oNGTSWTBKOLGLNR%22%20AND%20principal.type%20eq%20%22OKTA_USER%22&limit=20&after=00u68w6vzKLultXS97g6'

Responses

A successful list of assigned principals response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(assigned-principal-details)
Response
List of assigned principals to collection
{ "data": [ {}, {} ], "_links": { "self": {} } }